03-K64 Firefly-class Transport, Serenity v1.3 View Mod
Screenshot The 03-K64 Firefly transport ship Serenity. Original model and textures by Wildcard621, graphics for Transcendence by TazzMann.
40 facings with 6-segment armor, it comes with standard equipment and a 250 ton cargo hold expandable to 350. Can handle a total of 10 devices,including the shield, 3 of which can be weapon mounts.

v1.2 - (12.27-10) Graphics redone to fix problem reported by CFG. Updated to trans1.01. tweaked for better balance.

v1.3 -(3-29-11. 1243 downloads) updated for trans1.05. still works with trans1.01
Categories Ship (Player)
Author TazzMann
Rating 4   0
Added (Last modified) 14.02.2009 (30.03.2011)
Game Version 1.05
Filesize 222.21 KB
Downloads 2433
Download Download
Vizth 18.02.2009 03:07

If there is a god it's probably you.

Iocrymdestroyer 20.02.2009 23:30

Did you take account for the couple it automatically takes away for the weapon and shield? I only got 3 weapons and 8 device slots.

TazzMann 21.02.2009 03:44

Yes, that is what it should be. A max of 3 weapons plus 8 other devices, including the shield, for a total of 11. It's not 11 devices plus 3 weapons.

TazzMann 21.02.2009 03:46

I'll rephrase the description to clarify it I guess.

Iocrymdestroyer 21.02.2009 05:04

I knew what you meant, I just thought it could be confusing for people who didn't know that it would be like that.

telmah 02.07.2009 04:15

Awesome ship. I had to play it out of love for the series and movie. Only issue I see so far is that the engine you created the ship with doesn't show up on the equipment list, and there is no way I see to remove it. I have not tried having someone "upgrade me" yet.

telmah 03.07.2009 21:27

Upgrades just fine... Great ship!

TazzMann 19.07.2009 18:06

Thank you telmah. I think the reason you can't just remove the original engine is that it is just a performance statistic and not an actual object until you upgrade it the first time.

chucktonica 23.09.2009 20:43

This is an excellent ship and sweet to use, tons of fun, but you know the ship that I have not seen here yet is a battlestar, now that would be a ship to have as a playership. I am not a great modder by any stretch of the imagination but if their is anyone else out there that wants to take the idea and run with it awsome!!

TazzMann 10.06.2010 19:58

Thanks chucktonica. glad you're enjoying it. I haven't had much time to mess with the game lately but if I get time I might look into a battlestar.

CFG 26.07.2010 16:27

This is definitely my favorite ship.

Unfortunately Im getting some graphical glitches, when fyling near a sun or above a station having bright colors...

I edited the facings to remove them, helped a bit, but some artifacts are still present. Ill try to upload my changes...

CFG 26.07.2010 16:35

Uploaded my changes to

http://www.xelerus.de/index.php?s=mod&id=765

I think this should be merged with your work, TazzMann, if you agree...

TazzMann 26.12.2010 23:25

I'll take a look at it. Thanks for letting me know about the glitches. I hadn't run into it myself when testing.

TazzMann 27.12.2010 21:44

ok, got an updated version up that has been tweaked some for better balance and has completely new graphics and masks to fix the issue CFG pointed out. Let me know how the new graphics work for you and how the balance tweaks work out also.

Pensive Koala 17.03.2011 17:54

This is probably just something I'm doing wrong, but I'm getting duplicate UNID errors with this mod for the firefly entity (0xd4f4000a), regardless of what I change that UNID to. Any suggestions?

TazzMann 25.03.2011 08:46

I double checked it and everything appears to be in order and work fine in my game. Only thing I can think of that would cause that would be if you had another version of it also installed or if you were using a mod that happened to use my UNID code. If you are also using the one posted by CFG, I believe it has the same UNID as mine.

Pensive Koala 26.03.2011 02:45

Nope, it fails even when this is my only mod for me in 1.05. Of course, that's probably what I get for using it in a much newer version.

TazzMann 29.03.2011 11:41

I tend to stick with the version available for download on the main page so it hasn't been tested by me with anything beyond 1.01

TazzMann 29.03.2011 12:21

Ok, I've downloaded 1.05 and got it working with it. I'll upload the updated version as soon as I've tested it some more just to make sure everything is ok.

TazzMann 30.03.2011 00:52

Uploaded version that works with 1.05 and 1.01

You must be logged in to post comments!